# Comandos utiles:
#
#   Chequear puertos abiertos: netstat -an | grep <PUERTO>
#   Conectar a un puerto TCP: telnet <HOSTNAME> <PUERTO>
#

import socket as skt

PORT=3490
HOST="localhost"
MAXLEN=1024

# El segundo parametro indica el tipo de socket (TCP, UDP, UNIX, etc)
client_socket = skt.socket(skt.AF_INET, skt.SOCK_STREAM)
client_socket.connect((HOST, PORT))
msg='Mensaje de prueba'
# Puede que no envie todos los bytes en el buffer de salida,
# en ese caso retorna la cantidad de bytes enviados
sent = client_socket.send(msg)
print('Enviado al servidor ({} bytes): {}'.format(sent, msg[0:sent]))
data = client_socket.recv(MAXLEN)
print('Recibido del servidor ({} bytes): {}'.format(len(data), data))
client_socket.close()
